Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.grails.databinding
[Java] Interface BindingHelper

    public interface BindingHelper

Classes which implement this interface may participate in the data binding process. Instances of this interface may be registered with the data binder by applying the BindUsing annotation to a class.

Authors:
  Jeff Brown

See Also:
  BindUsing

Since:
  2.3

Method Summary
`java.lang.Object` | `getPropertyValue(java.lang.Object obj, java.lang.String propertyName, DataBindingSource source)` The value returned from this method will be bound to the property specified by propertyName.

Method Detail

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.Object obj, java.lang.String propertyName, DataBindingSource source)

  The value returned from this method will be bound to the property specified by propertyName.
  Parameters:
    `obj` - The object that data binding is being applied to
    `propertyName` - The name of the property data binding is being applied to
    `source` - The Map containing all of the values being bound to this object
  Returns:
    The value which should be bound to propertyName

Groovy Documentation